Package: org.grails.core.artefact

## [Java] Class TagLibArtefactHandler

- org.grails.core.artefact.TagLibArtefactHandler

- Configures tag libraries within namespaces in Grails.

  Authors:
    Marc Palmer (marc@anyware.co.uk)
    Graeme Rocher
    a.shneyderman
  Since:
    0.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `PLUGIN_NAME` |
    `static java.lang.String` | `TYPE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArtefactHandlerAdapter` | `allowAbstract, artefactSuffix, grailsClassImpl, grailsClassType, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TagLibArtefactHandler ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GrailsClass` | `getArtefactForFeature(java.lang.Object feature)` Looks up a tag library by using either a full qualified tag name such as g:link or via namespace such as "g".
    `` | `java.lang.String` | `getPluginName()`
    `` | `void` | `initialize(ArtefactInfo artefacts)` Creates a map of tags (keyed on "${namespace}:${tagName}") to tag libraries.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactHandlerAdapter` | `getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefact, isArtefactClass, isArtefactGrailsClass, isArtefactResource, isValidArtefactClassNode, newArtefactClass`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String PLUGIN_NAME

    - #### public static final java.lang.String TYPE

  - ### Constructor Detail

    - #### public TagLibArtefactHandler()

  - ### Method Detail

    - #### @java.lang.Override public GrailsClass getArtefactForFeature(java.lang.Object feature)

      Looks up a tag library by using either a full qualified tag name such as g:link or via namespace such as "g".

      Parameters:
        `feature` - The tag name or namespace
      Returns:
        A GrailsClass instance representing the tag library

    - #### @java.lang.Override public java.lang.String getPluginName()

    - #### @java.lang.Override public void initialize(ArtefactInfo artefacts)

      Creates a map of tags (keyed on "${namespace}:${tagName}") to tag libraries.